summaryrefslogtreecommitdiff
path: root/Master/bin/i386-linux/sjispdflatex
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2005-12-28 00:09:08 +0000
committerKarl Berry <karl@freefriends.org>2005-12-28 00:09:08 +0000
commit63f6de2319e769e12b29379025de08e3395edb31 (patch)
treed033287cd4de6346c62690498de6602896ebc23c /Master/bin/i386-linux/sjispdflatex
parent30dd9f517c9c093ff3319061647a4555264f7914 (diff)
trunk
git-svn-id: svn://tug.org/texlive/trunk@10 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/bin/i386-linux/sjispdflatex')
-rwxr-xr-xMaster/bin/i386-linux/sjispdflatex26
1 files changed, 26 insertions, 0 deletions
diff --git a/Master/bin/i386-linux/sjispdflatex b/Master/bin/i386-linux/sjispdflatex
new file mode 100755
index 00000000000..294c5b188d0
--- /dev/null
+++ b/Master/bin/i386-linux/sjispdflatex
@@ -0,0 +1,26 @@
+#! /bin/sh
+
+n=1
+argv=
+
+# get last argument
+while test 1 -lt $#; do
+ eval argv$n=\$1
+ argv="$argv \"\$argv$n\""
+ n=`expr $n + 1`
+ shift
+done
+
+# replace extension with .cjk or append .cjk if there is no extension
+tex=$1
+case $tex in
+""|*.cjk)
+ echo >&2 "Usage: $0 [options] latex-file"
+ exit 1;;
+*)
+ aux=`expr "X$tex" : 'X\(.*\)\.[^/]*$' \| "X$tex" : 'X\(.*\)'`.cjk;;
+esac
+
+sjisconv < "$tex" > "$aux" && eval pdflatex "$argv" "\$aux"
+
+# EOF